Clients
Gets the paginated product and service catalog (October 2020 version, successor to the original /product)
GET
/
customers
Gets the paginated product and service catalog
(October 2020 version, successor to the original /product)
curl --request GET \
--url https://apisandbox.facturama.mx/customers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://apisandbox.facturama.mx/customers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://apisandbox.facturama.mx/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apisandbox.facturama.mx/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apisandbox.facturama.mx/customers")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"recordsTotal": 3,
"recordsFiltered": 3,
"data": [
{
"Id": "0vqNJxuERikCIWYQL5p1_A2",
"Rfc": "JUFA7608212V6",
"Name": "ADRIANA JUAREZ FERNANDEZ",
"FiscalRegime": "621",
"Email": "adriana@juarez.mx",
"CfdiUse": "G03",
"TaxZipCode": "29133"
},
{
"Id": "F3gUe2034DrwbIkJ_x3lOA2",
"Rfc": "XAXX010101000",
"Name": "PÚBLICO EN GENERAL",
"FiscalRegime": "616",
"Email": "super_mail@mail.com",
"CfdiUse": "S01",
"TaxZipCode": "26015"
},
{
"Id": "OUd1P0WLSygojCJ6d1I_tQ2",
"Rfc": "URE180429TM6",
"Name": "UNIVERSIDAD ROBOTICA ESPAÑOLA",
"FiscalRegime": "601",
"Email": "api@ejemplo.mx",
"CfdiUse": "G03",
"TaxZipCode": "86991"
}
]
}Authorizations
HTTP Basic authentication with Facturama username and password.
Query Parameters
Response
200 - application/json
Paginated product list
Minimum string length:
1Unique client identifier
Non-fiscal client address (optional)
Show child attributes
Show child attributes
Federal Taxpayer Registry key
Name, denomination or business name of the receiver taxpayer of the voucher.
Tax regime of the receiver taxpayer of the voucher.
Primary client email
Optional email 1
Optional email 1
Country of residence key (only for foreign clients, see the countries catalog)
Fiscal identity registration number (only for foreign clients)
Attribute to register the postal code of the fiscal address of the voucher receiver..
⌘I
Gets the paginated product and service catalog
(October 2020 version, successor to the original /product)
curl --request GET \
--url https://apisandbox.facturama.mx/customers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://apisandbox.facturama.mx/customers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://apisandbox.facturama.mx/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apisandbox.facturama.mx/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apisandbox.facturama.mx/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apisandbox.facturama.mx/customers")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apisandbox.facturama.mx/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"recordsTotal": 3,
"recordsFiltered": 3,
"data": [
{
"Id": "0vqNJxuERikCIWYQL5p1_A2",
"Rfc": "JUFA7608212V6",
"Name": "ADRIANA JUAREZ FERNANDEZ",
"FiscalRegime": "621",
"Email": "adriana@juarez.mx",
"CfdiUse": "G03",
"TaxZipCode": "29133"
},
{
"Id": "F3gUe2034DrwbIkJ_x3lOA2",
"Rfc": "XAXX010101000",
"Name": "PÚBLICO EN GENERAL",
"FiscalRegime": "616",
"Email": "super_mail@mail.com",
"CfdiUse": "S01",
"TaxZipCode": "26015"
},
{
"Id": "OUd1P0WLSygojCJ6d1I_tQ2",
"Rfc": "URE180429TM6",
"Name": "UNIVERSIDAD ROBOTICA ESPAÑOLA",
"FiscalRegime": "601",
"Email": "api@ejemplo.mx",
"CfdiUse": "G03",
"TaxZipCode": "86991"
}
]
}